| AOMedia AV1 Codec

Data Fields
CdefInfo Struct Reference

Parameters related to CDEF. More...

`#include <av1_common_int.h>`

## Data Fields
uint16_t * | colbuf [3]
| CDEF column line buffer.
uint16_t * | linebuf [3]
| CDEF top & bottom line buffer.
uint16_t * | srcbuf
| CDEF intermediate buffer.
size_t | allocated_colbuf_size [3]
| CDEF column line buffer sizes.
size_t | allocated_linebuf_size [3]
| CDEF top and bottom line buffer sizes.
size_t | allocated_srcbuf_size
| CDEF intermediate buffer size.
int | cdef_damping
| CDEF damping factor.
int | nb_cdef_strengths
| Number of CDEF strength values.
int | cdef_strengths [16]
| CDEF strength values for luma.
int | cdef_uv_strengths [16]
| CDEF strength values for chroma.
int | cdef_bits
| Number of CDEF strength values in bits.
int | allocated_mi_rows
| Number of rows in the frame in 4 pixel.
int | allocated_num_workers
| Number of CDEF workers.

## Detailed Description

Parameters related to CDEF.

The documentation for this struct was generated from the following file:

- av1/common/av1_common_int.h